Subject: Re: bug#15900: 24.3.50; foreground-color-at-point returns wrong results

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Nov 2013 19:47:10 +0200

> Date: Sun, 17 Nov 2013 09:29:57 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > When you say "all the faces at point", what exactly do you mean by
> > that?  There can only be one 'face' text property at point, so do
> > you mean faces that come from overlays?  If that is what you mean,
> > then why isn't get-char-property all you need to have your answer?
> > I feel I'm missing something very basic here.
> 
> I think he means that the value of property `face' (whether from
> a text property or an overlay property) can be a list of faces.

Yes, but then you get all that list in a single call to
get-char-property, right?  So where's the difficulty in collecting
"all the faces at point"?